@use 'base/variables' as v;
@use 'base/mixins' as m;

.myVideo {
    position: relative;
    max-height: 70rem;
    min-height: 50rem;
    overflow: hidden; // Without this, only the overlay will respect the max-height: 70rem;
    .overlay {
        position: absolute; // This will make the overlay overlap with the video
        /* background-color: red; */
        width: 100%;
        height: 100%;
        background: rgb(165,3,255);
        background: linear-gradient(270deg, rgba(165,3,255,0.5) 0%, rgba(255,0,110,0.3) 100%);
        display: flex;
        flex-direction: column;
        justify-content: center; // Align vertically
    }
    video { // This refers to the html elment <video>
        width: auto;
        display: block; // Take all the verticall space. This get's rid of the little line that the overlay overflows in.
        @include m.tablet_size{
            width: 100%;
        }
    }
}

.video_container {
    z-index: 10; // This element will have priority among overlapping elements 
    // (without this, the video overlaps the text and the text cannot be selected)
    // z-index: -1 would place this element at the bottom of the overlapping elements. Hence this text will not be visible
    h2 {
        color: v.$myWhite;
        font-size: 7rem;
        margin: 0;
    }
    p {
        background-color: v.$myPink;
        display: inline-block; // Elements below this one will not be palaced right next to this one. Also, this element will only take the space it requires.
        padding: 1rem 2rem 1rem 2rem;
        color: v.$myWhite;
        font-weight: 700;
        font-size: 2.4rem;
        margin: 0;
    }
}